Bug 1373821

Summary: Review Request: python-pulp - LP modeler written in python
Product: [Fedora] Fedora Reporter: Marcos <lobo>
Component: Package ReviewAssignee: Dan Radez <dradez>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: apevec, dradez, jpena, karlthered, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-22 04:12:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1373513    

Description Marcos 2016-09-07 08:21:11 UTC
Spec URL: https://github.com/marcosflobo/package_review/blob/master/pulp/1.6.1/python-pulp.spec
SRPM URL: https://github.com/marcosflobo/package_review/raw/master/pulp/1.6.1/python-PuLP-1.6.1-1.fc24.src.rpm
Description: LP modeler written in python. More info https://pypi.python.org/pypi/PuLP
Fedora Account System Username: mflobo

I have a couple of questions for this package.

- It's not clear for me if the LICENSE is ASL 2.0
- There is no "docs" to create the python-pulp-doc package
- The "Source0:" value is pointing to pypi webpage,but the link has a HASH or similar which I think is not good if this SPEC file will be used by an automatic script.

Successful scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=15527255

Comment 1 Igor Gnatenko 2016-09-07 09:26:06 UTC
* package should have py2 and py3 versions
* no hardcoded sha-sums in SourceURL please
* no owning debug files please

Comment 2 Javier Peña 2016-09-07 10:44:29 UTC
For the Source URL, you could use https://pypi.io/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Comment 3 Igor Gnatenko 2016-09-07 11:27:00 UTC
(In reply to Javier Peña from comment #2)
> For the Source URL, you could use
> https://pypi.io/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

https://files.pythonhosted.org/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Comment 5 Igor Gnatenko 2016-09-09 18:11:16 UTC
> %define _binaries_in_noarch_packages_terminate_build 0
this is something wrong

> BuildRequires: python-setuptools
python2-setuptools
... same for all packages

> /usr/lib/debug*
no.

* Package should contain py2 and py3 subpackage, it does not

Comment 6 Marcos 2016-09-10 11:43:44 UTC
Hi Igor,

Thanks for review and sorry because I didn't update the files at github. Please, check again and write your comments.

Spec URL: https://github.com/marcosflobo/package_review/blob/master/pulp/1.6.1/python-pulp.spec
SRPM URL: https://github.com/marcosflobo/package_review/raw/master/pulp/1.6.1/python-PuLP-1.6.1-1.fc24.src.rpm


Successful scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=15559934

Comment 7 Marcos 2016-09-27 14:21:20 UTC
Hi Igor,

I tried to build the rpm with your modifications https://github.com/marcosflobo/package_review/commit/45674935dd077a3f14af6875babb0cd50f90a7d0 but unfortunately I had this error:

"Arch dependent binaries in noarch package"

I tried to fix it adding:

%define _binaries_in_noarch_packages_terminate_build   0

At top of the SPEC file, but apparently is not enough.

So, with this SPEC file https://github.com/marcosflobo/package_review/blob/master/pulp/1.6.1/python-pulp.spec and this ZIP file https://pypi.python.org/pypi/PuLP I have this issues:

$  rpmbuild -bb --define dist.fc24 rpmbuild/SPEC/python-pulp.spec
[...]
 cd PuLP-1.6.1
+ LICENSEDIR=/home/mflobo/rpmbuild/BUILDROOT/python-PuLP-1.6.1-1.fc24.x86_64/usr/share/licenses/python3-PuLP
+ export LICENSEDIR
+ /usr/bin/mkdir -p /home/mflobo/rpmbuild/BUILDROOT/python-PuLP-1.6.1-1.fc24.x86_64/usr/share/licenses/python3-PuLP
+ cp -pr LICENSE /home/mflobo/rpmbuild/BUILDROOT/python-PuLP-1.6.1-1.fc24.x86_64/usr/share/licenses/python3-PuLP
+ exit 0


RPM build errors:
    Macro %dist needs whitespace before body
    Macro %dist needs whitespace before body
    Macro %dist needs whitespace before body
    Arch dependent binaries in noarch package
    File not found: /home/mflobo/rpmbuild/BUILDROOT/python-PuLP-1.6.1-1.fc24.x86_64/usr/bin/pulp

Could you give a hand on with this package? is being a bit painful and I don't understand the issue.

Thank you.

Comment 8 Igor Gnatenko 2016-11-16 08:30:12 UTC
I guess upstream puts something like /usr/lib64 into one of files which makes it arch-dependent. I would recommend to grep and fix issue.

Comment 9 Haïkel Guémar 2016-12-19 16:24:17 UTC
mflobo changed job since and it seems he's too busy to move forward so as his sponsor, I suggest to declare this review stalled.

Comment 10 Dan Radez 2016-12-19 17:48:31 UTC
I can pick up and run with this review:
New SPRM: https://radez.fedorapeople.org/python-PuLP-1.6.1-2.fc25.src.rpm
New Spec: https://radez.fedorapeople.org/python-pulp.spec
Koji Scratch: https://radez.fedorapeople.org/python-pulp.spec

Comment 12 Alan Pevec 2016-12-21 22:58:31 UTC
Dan, you will need to open a new Fedora review bz, b/c Fedora tooling requires review bz to be reported by the packager. Please close this one as a duplicate of your new review bz.

Comment 13 Dan Radez 2016-12-22 04:06:55 UTC
Good to know, thx will do that now.

Comment 14 Dan Radez 2016-12-22 04:12:18 UTC

*** This bug has been marked as a duplicate of bug 1407000 ***